Subject: Re: B19: WinNT _stat()/_stat_worker() return bogus st
From: [email-masked] (Roger Sunshine)

2 Oct 1998 04:58:46 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]

Earnie Boyd wrote:
> 
> CAUTION: the file index number is created on the first open of the 
> file/directory.  It will not remain unique to that particular file.  
> If you close all channels to that file and then open it again you will 
> most likely have a different file index number.  It's purpose is to 
> verify if you have the same file open on different handles.  It does 
> not uniquely identify the file/directory.

In my (admittedly limited) testing on NT, the file index numbers
remain the same across open/close cycles, and are even identical
when the files in question are hard linked together.  I realize that
the documentation claims that the numbers may change from open to
open, but at present on NT SP3, they do not seem to be doing so,
and the various utilities that rely on the st_ino field work much
better using the file index than using the filename.

-Roger
-- 
Roger Sunshine -   Phone: (512)349-5644   - Tempest Rules, NT doesn't
Senior Software Engineer - Knowledge Discovery One - [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".